Page tree
Skip to end of metadata
Go to start of metadata

Warning:

We no longer develop EasyApache 3 and only release security updates. We will deprecate EasyApache 3 on December 31, 2018. After that date, we will no longer update EasyApache 3. In cPanel & WHM version 78, we will remove support for EasyApache 3. For more information, read our cPanel Long-Term Support documentation.

We strongly recommend that you upgrade to EasyApache 4. For more information, read our EasyApache 4 documentation. 

EasyApache updates are not specific to Product versions, nor the publication tiers.

3.34.19

  • Implemented case EAL-3183: Update Apache to 2.4.29, drop 2.4.28
  • Implemented case EAL-3184: Update EA3 Deprecation message inside EA3.
  • Implemented case EAL-3185: Update PHP to 5.6.32, drop 5.6.31

3.34.18

  • Implemented case EAL-3170: Update saferun calls to avoid executing shell in cPanel & WHM 68 or higher.
  • Implemented case EAL-3180: Update Apache to 2.4.28, drop 2.4.27

3.34.17

  • Implemented case EA-6827: Patch Apache 2.2 and 2.4 for httpd optionsbleed
  • Implemented case EA-6586: Update ModSec to 2.9.2

3.34.16

  • Implemented case HB-2760: Implement link to EasyApache 4 migration interface in cPanel & WHM version 62 or higher. 

3.34.15

3.34.13

3.34.12

  • Implemented case EAL-3154: Update Apache 2.2 to version 2.2.32 (with fixes for CVE-2016-8743 and CVE-2016-5387)
  • Implemented case EAL-3156: Patch test '/home/cpeasyapache/src/cppatch/0001-easy-mpm-itk-configure.patch' failed
  • Implemented case EAL-3158: Remove ea_version_check from EA3

3.34.11

2017-1-24

  • Implemented case EAL-3155: Update PHP to version 5.6.30, drop 5.6.29 

3.34.10

2017-1-5

3.34.9

2016-12-13

  • Implemented case EAL-3149: Update PHP to 5.6.29, drop 5.6.28 (with fix for CVE-2016-9935)

3.34.8

2016-11-15

  • Implemented case EAL-3101: Fix /scripts/remservlets script error in Tomcat7 RPM 
  • Implemented case EAL-3139: Change tomcat7 to release 6 to match CPANEL-7595
  • Implemented case EAL-3147: UpdatePHP to 5.6.28, drop 5.6.27 (with fix for CVE-2016-8670

3.34.7

2016-10-18

  • Implemented case EAL-3096: Add detailed error message to output when started a new build via Bamboo
  • Implemented case EAL-3102:Add EA3 Deprecation Message to EA3 UI in WHM & CLI - CLI adjustments
  • Implemented case EAL-3103: Add EA3 Deprecation Message to EA3 UI in WHM & CLI - GUI adjustments
  • Implemented case EAL-3128: Correlation between FreeTDS being seen in /opt and EA3 failing to load its UI/choices
  • Implemented case EAL-3130: Add EA3 Deprecation Message to EA3 UI in WHM & CLI - Correct deprecation date
  • Implemented case EAL-3132: Factor empty files into optlib sum
  • Implemented case EAL-3133: Add EA3 Deprecation Message to EA3 UI in WHM & CLI - Update deprecation text
  • Implemented case EAL-3137: Update PHP to 5.6.27, drop 5.6.26 (with fix for CVE-2016-7568)

3.34.6

2016-9-20

  • Implemented case EAL-3127: Fixed bug where broken symlinks caused EasyApache 3 to fail.

3.34.5

2016-9-20

3.34.4

2016-8-23

  • Implemented case EAL-3094: Update ./cp_util/update_php.pl for new git output in 2.9
  • Implemented case EAL-3106: Update PHP to version 5.6.25, drop 5.6.24

3.34.3

2016-7-26

3.34.2

2016-7-20

  • Implemented case EAL-3091: Update Apache to version 2.4.23, drop 2.4.20 (with fix for CVE-2016-4979)
  • Implemented case ZC-2063: Add httpoxy patch to Apache 2.4 and Apache 2.2 (with fix for CVE-2016-5387)
  • Implemented case ZC-1971: Change default PHP version to PHP 5.6
  • Implemented case EAL-3050: Update Apache to version 2.4.20, drop 2.4.18 (with fix for CVE-2016-1546)

3.34.1

2016-6-28

  • Implemented case EAL-3082: Update PHP to version 5.5.37, drop 5.5.36 (with fix for CVE-2015-8874)
  • Implemented case EAL-3083: Update PHP to version  5.6.23, drop 5.6.22

3.34.0

2016-6-21

  • Implemented case EA-4660: Ensure EA3 installs https.service on CentOS7
  • Implemented case EAL-3081: Fix return pattern match from value 
  • Implemented case ZC-1913: Provide ability for CentOS 5 systems to use PHP 5.6
  • Implemented case EAL-3079: EA3 building stopped due to "Undefined subroutine &Cpanel::SafeFile::safe_readwrite"

3.32.14

2016-5-31

  • Implemented case EAL-3069: Remove Cpanel::CPAN from scripts
  • Implemented case EAL-3073: Update ptars for ModBW and ModJk5
  • Implemented case ZC-1808: Ensure that ModPerl and ModRuid2 conflict
  • Implemented case ZC-1832: Error message for ModRuid2 module
  • Implemented case EAL-3075: Fix SHA512 Checksum mismatch error
  • Implemented case EAL-3077: Update PHP to version 5.5.36, drop 5.5.35 (with fixes for CVE-2016-5096CVE-2016-5094CVE-2013-7456CVE-2016-5093, and CVE-2016-4343)
  • Implemented case EAL 3078: Update PHP to version 5.6.22, drop 5.6.21 (with fixes for CVE-2016-5096CVE-2016-5094CVE-2013-7456, and CVE-2016-5093)
  • Implemented case EAL 3076: Correct documentation link for Zend Guard Loader

3.32.13

2016-5-3

  • Implemented case ZC-1561: Upgrade Suhosin to version 0.9.38 for PHP versions 5.4 and higher. 
  • Implemented case EAL-3054: Update PHP to version 5.6.21, drop 5.6.20 (with fixes for CVE-2016-3074)
  • Implemented case EAL-3055: Update PHP to version 5.5.35, drop 5.5.34 (with fixes for CVE-2016-3074)

3.32.12

2016-4-5

  • Implemented case ZC-1470: Add IonCube 5.x Module to EasyApache 3
  • Implemented case ZC-1526: Add a warning to UI about reporting bugs to IonCube
  • Implemented case ZC-1494: Test and update UI logic
  • Implemented case EAL-3046: Update PHP to version 5.5.34, drop 5.5.33 
  • Implemented case EAL-3047: Update PHP to version 5.6.20, drop 5.6.19

3.32.11

2016-3-8

  • Implemented case EAL-2385: Upgrade PCRE to version 8.38
  • Implemented case EAL-3040: Update PHP to 5.5.33, drop 5.5.32
  • Implemented case EAL-3042: Update PHP to 5.6.19, drop 5.6.18
  • Implemented case ZC-1506: Remove rewrite hardening patch from Apache

3.32.10

2016-2-9

3.32.9

2016-1-12

  • Implemented case EAL-3007: Allow make rawopts in EasyApache 3
  • Implemented case EAL-3013: Fix build failure when make rawopts contain an empty string
  • Implemented case EAL-3017: Update PHP to 5.5.31, drop 5.5.30
  • Implemented case EAL-3015: The Makefile.in file is missing
  • Implemented case EAL-4051: Update PHP to 5.6.17, drop 5.6.16

3.32.8

2015-12-23

  • Implemented case EAL-3005: Update Apache to 2.4.18, drop 2.4.16
  • Implemented case EAL-3009: Correct upstream Apache 2.4.18 compile error

3.32.6

2015-12-1

  • Implemented case EAL-3002: Update PHP to 5.6.16, drop 5.6.15

3.32.5

2015-11-3

  • Implemented case EAL-2995: Update PHP to 5.6.15, drop 5.6.14

3.32.4

2015-10-27

  • Implemented case ZC-1140: Revert Apache to 2.4.16, keep APR at 1.5.2

3.32.3

2015-10-15

  • Implemented case EAL-3757: Update Apache to 2.4.17, drop 2.4.16
  • Implemented case EAL-3755: Update APR to 1.5.2

3.32.2

2015-10-6

  • Implemented case ZC-943: Remove mod_info from default build
  • Implemented case EAL-2986: Update PHP to 5.5.30, drop 5.5.29
  • Implemented case EAL-2987: Update PHP to 5.6.14, drop 5.6.13

3.32.1

2015-9-15

  • Implemented case EAL-2972: Add CloudLinux hardened PHP promotion
  • Implemented case EAL-2970: Fix signature verification failure
  • Implemented case ZC-967: Mark PHP 5.4 as End of Life (EOL)

3.32.0

2015-9-9

3.30.5

2015-8-11

  • Implemented case ZC-877: Update PHP to 5.4.44, drop 5.4.43
  • Implemented case ZC-878: Update PHP to 5.5.28, drop 5.5.27
  • Implemented case ZC-879: Update PHP to 5.6.12, drop 5.6.11

3.30.4

2015-7-28

3.30.3

2015-7-14

  • Implemented case ZC-750: Update PHP to 5.4.43, drop 5.4.42 (with fixes for CVE-2015-3152)
  • Implemented case ZC-751: Update PHP to 5.5.27, drop 5.5.26 (with fixes for CVE-2015-3152)
  • Implemented case ZC-752: Update PHP to 5.6.11, drop 5.6.10 (with fixes for CVE-2015-3152)

3.30.2

2015-6-16

3.30.1

2015-6-2

  • Implemented case 183781: Provide ModSecurity 2.9.0 for EasyApache 3 
  • Implemented case 185213: Make ModSecurity 2.9.0 use apr-util crypto functionality
  • Implemented case 185353: Add rawopts functionality to ModSecurity
  • Implemented case 187965: Crypto support for broken new SecRemoteRule on 32-bit CentOS 5 and 6 builds
  • Implemented case 185917: Submit upstream bug fix for ssdeep compile error
  • Implemented case 188133: Fix ModSecurity crypto patch for 32-bit systems
  • Implemented case 189885: Add ENV data to EasyApache 3

3.30.0

2015-5-20

  • Implemented case 185097: Add PHP 5.6 to EasyApache 3
  • Implemented case 185545: Update PHP 5.6 to PHP 5.6.8
  • Implemented case 186893: Add optmod for OPCache
  • Implemented case 185301: Update Zend Guard Loader to version 7 for PHP 5.5 and 5.6 support
  • Implemented case 187673: Add commented ini directives for OPCache on install
  • Implemented case 186109: Update Ioncube loaders to version 4.7.5
  • Implemented case 189073: Update Suhosin extension for PHP 5.6
  • Implemented case 188413: Update PHP to 5.4.41, drop 5.4.40 (with fix for CVE-2006-7243)
  • Implemented case 188621: Update XCache to 3.2.0
  • Implemented case 188917: Update PHP to 5.5.25, drop 5.5.24 (with fix for CVE-2006-7243)
  • Implemented case 188921: Update PHP to 5.6.9, drop 5.6.8 (with fix for CVE-2006-7243)

3.28.9

2015-5-14

  • Implemented case 147457: Sign and verify EA assets
  • Implemented case 177533: SHA512 verification for EA file downloads
  • Implemented case 132897: EasyApache 3.26.8 fails to update due to lingering pid file
  • Implemented case 186161: Correctly handle EA profiles during CentOS 7
  • Implemented case 187193: Set Apache 2.4 as default for new installs
  • Implemented case 187865: Hide Basic Apache 2.2 profile in UI for CentOS 7
  • Implemented case 187709: CLI and HTML UI updated with change to default Apache 2.4
  • Implemented case 188429: Update wording for new profiles in CentOS 7
  • Implemented case 187037: Cannot update Apache 2.2 to 2.4. Template not found

3.28.8

2015-4-21

3.28.7

2015-4-9

  • Implemented case 171633: RPM install and uninstall now obeys OptMod skip directive
  • Implemented case 147605: Update Tomcat 7 RPM version number
  • Implemented case 169321: EasyApache Tomcat is not compatible with CentOS 7
  • Implemented case 171501: Fix CentOS version check to determine Tomcat 7 availability

3.28.5

2015-3-24

3.28.4

2015-2-23

3.28.3

2015-2-2

3.28.2

2015-1-26

3.28.1

2014-12-22

  • Implemented case 147901: Update PHP to version 5.5.20, drop 5.5.19 (with fixes for CVE-2014-8142)
  • Implemented case 148093: Update PHP to version 5.4.36, drop 5.4.35 (with fixes for CVE-2014-8142)

3.28.0

2014-12-16

  • Implemented case 127149: Start using PHP mysqlnd for MariaDB and MySQL 5.6+
  • Implemented case 130101: MariaDB 10+ support in PHP restricted to mysqlnd driver
  • Implemented case 127757: Add missing rule id in default ModSecurity configuration file
  • Implemented case 131377: Fix duplicate rule id in default Mod Security rule set
  • Implemented case 139549: Stop distributing Mod Security rules for cPanel & WHM 11.46 and later
  • Implemented case 61094: Remove additional rule from modsec2.conf for cPanel & WHM 11.46 and later
  • Implemented case 141505: Remove references to PHP 4 in the WHM interface

3.26.10

2014-11-17

  • Implemented case 135669: Update PHP to version 5.5.19, drop 5.5.18 (with fixes for CVE-2014-3710)
  • Implemented case 136121: Update PHP to version 5.4.35, drop 5.4.34 (with fixes for CVE-2014-3710 )

3.26.9

2014-10-20

  • Implemented case 125485: Update PHP to version 5.5.18, drop 5.5.17 (with fixes for CVE-2014-3669CVE-2014-3670, and CVE-2014-3668)
  • Implemented case 125673: Update PHP to version  5.4.34, drop 5.4.33 (with fixes for CVE-2014-3669CVE-2014-3670, and CVE-2014-3668)
  • Implemented case 120277: Update APR to version 1.5.4
  • Implemented case 120745: Update Hostinglimits to version 1.0-19
  • Implemented case 121585: Update PCRE to version 8.36
  • Implemented case 125693: Update libxml2 to version 2.9.2 (with fixes for CVE-2014-3660 and CVE-2014-0191)
  • Implemented case 121209: PDO and PDO MySQL added to default profiles
  • Implemented case 121621: Remove deprecated text from PDO description
  • Implemented case 118317: EasyApache now sets WHM 11.46+ ModSecurity directives in modsec2.cpanel.conf
  • Implemented case 116309: Add support level of Optmods to command-line interface

3.26.8

2014-09-22

  • Implemented case 117505: Update curl to version 7.38.0 (with fixes for CVE-2014-3613 and CVE-2014-3620)
  • Implemented case 113693: Update mod_hostinglimits to version 1.0.18
  • Implemented case 117765: Update PHP to version 5.5.17, drop 5.5.16
  • Implemented case 118109: Update PHP to version 5.4.33, drop 5.4.32
  • Implemented case 112853: Update mod_qos to version 11.5
  • Implemented case 113297: Version number of modules displays on Options interface
  • Implemented case 114701: Version number removed from notes on Options interface
  • Implemented case 115789: Banner with icon legend removed from New Profile interface 
  • Fixed case 116941: Fixed disabled custom mod_security rules 
  • Fixed case 114925: Issues with env, asis and version optmods when changing Apache versions. 
  • Fixed case 113521: Issues with env, asis and version optmods when changing Apache versions. 

3.26.7

2014-09-04

  • Implemented case 112413: Update error messages with clearer language
  • Implemented case 62553: Mod Security optmod validates configuration before build
  • Implemented case 112841: Restyle Web UI Notification Banner Style (Part 2)
  • Implemented case 114321:  Update  Apache version 2.2 to 2.2.29 (with fixes for CVE-2014-0118CVE-2014-0231CVE-2014-0226 and CVE-2013-5704), drop 2.2.27
  • Implemented case 112665: Remove FreeBSD support
  • Fixed case 112921: Fix smoker failures
  • Fixed case 113629: Fix Hostinglimits configuration being overwritten by EasyApache. See the Apache Module: HostingLimits documentation for more information

3.26.6

2014-08-25

  • Implemented case 111593: Restyle Upgrade CloudLinux button
  • Implemented case 112525: Remove PDFlib PHP support
  • Implemented case 112565: Remove ming PHP module
  • Implemented case 112541: Remove ming PHP optlib
  • Implemented case 112521: Remove zzip PHP module
  • Implemented case 112573: Remove libswf PHP module
  • Implemented case 111505: Clean up SourceGuardian distribution
  • Implemented case 112625: Update PHP 5.4 to 5.4.32, drop 5.4.31 (with fixes for CVE-2014-3538CVE-2014-3587CVE-2014-2497CVE-2014-5120CVE-2014-3597CVE-2014-4670, and CVE-2014-4698)

  • Implemented case 112633: Update PHP 5.5 to 5.5.16, drop 5.5.15 (with fixes for CVE-2014-3538CVE-2014-3587CVE-2014-2497CVE-2014-5120, and CVE-2014-3597)
  • Implemented case 112461: Reinstate SourceGuardian loader for PHP 5.2

3.26.5

2014-08-18

  • Implemented case 111381: Update Source Guardian Loader to version 10.0, drop version 9.5
  • Implemented case 109909: Update Lua to version 5.1.5
  • Implemented case 110593: Update libxml2 (with patch for CVE-2014-0191)
  • Implemented case 109969: Update Curl to version 7.37.1
  • Implemented case 111629: Add Suhosin 0.9.36 for PHP 5.4+. PHP 5.3 will remain on Suhosin 0.9.33
  • Implemented case 111749: Update PHP to version 5.3.29 (with fixes for CVE-2014-3981CVE-2014-3515CVE-2013-6712CVE-2014-0207CVE-2014-0238CVE-2014-0237, and CVE-2014-4049), drop version 5.3.28 
  • Implemented case 109137: Add Link to Custom Modules Url in Web UI
  • Implemented case 110025: Add Link to Custom Modules Url in CLI
  • Implemented case 111257: Add "NOT SUPPORTED" flag.
  • Implemented case 110189: Restyle notification banner styles
  • Implemented case 110781: Add preference to disable display of the Upgrade to CloudLinux banner
  • Implemented case 111401: Only show CloudLinux disable preference on cPanel 11.40 and newer
  • Implemented case 111809: Only show CloudLinux disable preference on non-CloudLinux machines
  • Fixed case 111345: Align notifications vertically in PHP stage
  • Fixed case 110537: Provide fallback hostname for mod_unique_id when hostname can't resolve
  • Fixed case 66185: Repair logic for mod_security include handling

3.26.4

2014-08-05

  • Implemented case 59818: Update mod_perl to version 2.0.8 (with fixes for CVE-2013-1667)
  • Implemented case 108449: Update mod_qos to version 11.4
  • Implemented case 197273: Remove deprecated XCache 2.0.1
  • Implemented case 104897: Add version constraints on mod_security-related files

  • Implemented case 107617: Ensure new mod_security configuration file exists and has the same permissions

  • Implemented case 107045: Add version check on mod_security related files

  • Implemented case 108953: Remove PHP 5.3.27. EasyApache will upgrade your installation to 5.3.28
  • Fixed case 109601: Update out-of-date version number
  • Fixed case 109629: Repair always_do_the_latest_phps logic 

3.26.3

2014-07-28

  • Implemented case 108917: Update PHP 5.5 to version 5.5.15 (with fix for CVE-2014-4670), drop 5.5.14
  • Implemented case 108989: Update PHP 5.4 to version 5.4.31, drop 5.4.30
  • Implemented case 107521: Update the libxslt library to version 1.1.28 (with fix for CVE-2012-6139)
  • Implemented case 108273: Update the libxml2 library to version 2.9.1 (with fixes for CVE-2012-5134CVE-2013-0338CVE-2013-0339CVE-2013-1969CVE-2013-2877)
  • Implemented case 108245: Add warning to Tomcat option in EasyApache 
  • Fixed case 75009: Change the group ID of the tomcat user to the nobody group ID.

3.26.2

2014-07-23

3.26.0

2014-07-16

  • Implemented case 107209: Redesign the Profile stage of the EasyApache (Apache Update) interface and add new profiles
  • Implemented case 76837: Add MPM ITK to EasyApache if you use Apache version 2.2 and one of the following cPanel & WHM versions: 11.40.1.16, 11.42.1.19, 11.44.0.8 or 11.46. For more information about the new MPM ITK option in EasyApache, read our MPM Options documentation.
  • Implemented case 106969: Update Source Guardian Loader to version 9.5, including support for PHP version 5.5
  • Implemented case 80525: Update XCache to version 3.1.0, including support for PHP version 5.5
  • Implemented case 68701: Update suPHP to 0.7.2
  • Implemented case 101217: Update the CloudLinux mod_hostinglimits Apache module to 1.0-16
  • Implemented case 107165: Remove experimental tag from PHP 5.5 and ModRuid2

 

  • Fixed case 84153: EasyApache no longer disables suEXEC when you select Apache 2.4

3.24.22

2014-06-30

3.24.21

2014-06-12

  • Implemented case 104153: Applied patch to ModSecurity to resolve Bug 706.

3.24.19

2014-06-02

  • Implemented case 102769: Update PHP version 5.4 to PHP version 5.4.29 (with fixes for CVE-2014-0237 and CVE-2014-0238), drop 5.4.28
  • Implemented case 102785: Update PHP version 5.5 to PHP version 5.5.13 (with fixes for CVE-2014-0237 and CVE-2014-0238), drop 5.5.12
  • Implemented case 101901: Update IonCube Loader to version 4.6.1 (drop 4.4.1)

3.24.18

2014-05-05

  • Implemented case 100549: Update PHP 5.5 to 5.5.12 (with fix for CVE-2014-0185), drop 5.5.11
  • Implemented case 100649: Update PHP 5.4 to 5.4.28 (with fix for CVE-2014-0185), drop 5.4.27
  • Implemented case 99397: Update Mod Security to version 2.8.0 (drop 2.7.7)
  • Implemented case 92685: Remove Path Info Check PHP module as an option since it is no longer available in EasyApache
  • Fixed case 96073: Incorrect current Apache version displaying
  • Fixed case 90345: Duplicate PHP information displaying in the CLI [info] section
  • Fixed case 91941: Show Details window displaying incorrectly. If you still experience this issue, clear your browser's cache.
  • Fixed case 93461: Show Details window not closing correctly

3.24.17

2014-04-17

  • Implemented case 96229: Apply Openssl patch to Apache version 2.4.9 (with fix for internal case 96229). For more information, read Apache's Bug 56410 documentation.

3.24.15

2014-04-07

  • Implemented case 96297: Update PHP version 5.5 to 5.5.11 (with fix for CVE-2013-7345), drop 5.5.10
  • Implemented case 96429: Update PHP version 5.4 to 5.4.27 (with fix for CVE-2013-7345), drop 5.4.26
  • Implemented case 79657: Update FCGI to version 2.3.9 (with fix for CVE-2013-4365), drop 2.3.6

3.24.14

2014-03-31

  • Fixed case 94553: Correct wording for End of Life warning message in WHM and CLI
  • Fixed case 94581: Update info URL in WHM for PHP’s XLS module

3.24.13

2014-03-20

3.24.12

2014-3-10

  • Implemented case 92853: Update PHP version 5.5 to 5.5.10 (with fixes for CVE-2014-1943, CVE-2014-2270, and CVE-2013-7327), drop 5.5.9
  • Implemented case 93037: Update PHP version 5.4 to 5.4.26 (with fixes for CVE-2014-1943 and CVE-2014-2270), drop 5.4.25

  • Fixed case 76493: Resolve incompatibility between ModRuid2 and ModSecurity
  • Fixed case 90457: Resolve Perl warnings caused by an opt mod that is unavailable
  • Fixed case 89025: Remove unnecessary “Failed to Remove File: /var/cpanel/apps/modsec.conf : No Such File or Directory” error message.

3.24.11

2014-2-10

  • Implemented case 73225: Drop Apache versions 1.3 and 2.0 from EasyApache
  • Implemented case 73225: Remove PHP version 5.2 and Microsoft FrontPage (mod_frontpage) from EasyApache. They are now available as Custom Modules.
  • Implemented case 90105: Update PHP version 5.5 to 5.5.9, drop 5.5.8
  • Implemented case 90193: Update PHP version 5.4 to 5.4.25, drop 5.4.24
  • Implemented case 89213: Mark cPanel & WHM versions 11.36 and older as End of Life in EasyApache. Read our announcement forum post for more information. 

3.22.30

2014-01-13  

  • Implemented case 87357: Update PHP 5.5 to 5.5.8, dropped 5.5.7
  • Implemented case 87397: Update PHP 5.4 to 5.4.24, dropped 5.4.23
  • Fixed case 75301: Resolve Apache slow graceful restarts issue. View the documentation for more information about the patch.

3.22.28

2014-01-06  

  • Implemented case 85957: Update Mod Security to version 2.7.7 (dropped 2.7.5) 
  • Fixed case 58625: Resolve PCRE version issue with Apache 2.4
  • Fixed case 83121: Resolve proxy subdomain content-type issues
  • Fixed case 86893: Resolve MySQL version 5.6 table creation issue with Mod Security (cPanel & WHM version 11.41)
  • Fixed case 86905: Resolve MySQL version 5.6 import issue with Mod Security (cPanel & WHM version 11.41)

3.22.25

2013-12-16  

  • Implemented case 85357: Update PHP 5.5 to 5.5.7 (with fix for CVE-2013-6420), dropped 5.5.6
  • Implemented case 85509: Update PHP 5.4 to 5.4.23 (with fix for CVE-2013-6420), dropped 5.4.22
  • Implemented case 85429: Update PHP 5.3 to 5.3.28 (with fixes for CVE-2013-6420 and CVE-2013-4248), dropped 5.3.27
  • Fixed case 84181: Resolve RPM issue with Tomcat for CentOS 6

3.22.24

2013-11-27  

  • Implemented case: 83705 Update Apache 2.4 to 2.4.7, dropped 2.4.6

3.22.23

2013-11-20  

  • Fixed case 83009: Resolve "Content-type: text/html” error on EasyApache interface
  • Fixed case 81517: Resolve php.ini error caused by obsolete directives

 

  • Implemented case 83113: Update Apache 2.2 to 2.26, dropped 2.2.25
  • Implemented case 81445: Add END OF LIFE tag to FrontPage

3.22.20

2013-11-18  

  • Fixed case 79781: Resolve “EasyApache :: Object fetch succeeded” UI error
  • Fixed case 81241: Resolve EasyApache Build Screen stops at “Mod Security”

 

  • Implemented case 82945: Update PHP 5.4 to 5.4.22, dropped 5.4.21
  • Implemented case 82941: Update PHP 5.5 to 5.5.6, dropped 5.5.5

3.22.19

2013-10-29  

  • Fixed case 80697: Resolve IPv6 issue with Apache reserved IPs

3.22.17

2013-10-21  

  • Implemented case 80569: Update PHP 5.5.4 to 5.5.5 (dropped 5.5.4)
  • Implemented case 80641: Update PHP 5.4.20 to 5.4.21 (dropped 5.4.20)
  • Implemented case 58357: Update mod_ruid2 to version 0.9.8
  • Implemented case 78853: mod_deflate is now enabled by default for Apache 2.X

 

  • Fixed case 73861 and 75973: Resolve EasyApache compatibility issues with CloudLinux

3.22.14

2013-09-23  

  • Implemented case 78325: Update PHP 5.5.3 to 5.5.4 (dropped 5.5.3)
  • Implemented case 78381: Update PHP 5.4.19 to 5.4.20 (dropped 5.4.19)

3.22.12

2013-09-19  

  • Implemented case 77957: Increase EasyApache memory limits

3.22.10

2013-08-29  

  • Implemented case 75941: Update mod_security for cPanel & WHM 11.40 compatibility

 

  • Fixed case 75857: Resolve EAccelerator compatibility issues

3.22.7

2013-08-26  

  • Implemented case 76017: Update PHP 5.4.18 to version 5.4.19 (dropped 5.4.18)
  • Implemented case 76021: Update PHP 5.5.2 to version 5.5.3 (dropped 5.5.2)

3.22.6

2013-08-20  

  • Implemented case 75637: Update PHP to 5.5.2 (and drop 5.5.1)

 

  • Fixed case 75241: Resolve “can not restore parent class” error in EAccelerator

3.22.5

2013-08-19  

  • Implemented case 68497: Update Zend Guard to version 6 to support PHP 5.4
  • Implemented case 74725: Update PHP 5.5 libraries for CentOS 5.9 compatibility
  • Implemented case 75497: Update PHP to 5.4.18 (and drop 5.4.17)

 

  • Fixed case 75237: Update EAccelerator to resolve multiple issues

3.22.4

2013-08-06  

  • Implemented case 74273: Update ModSecurity to version 2.7.5

3.22.2

2013-08-01  

  • Implemented case 60467: Update EAccelerator to PHP 5.4-compatible version
  • Implemented case 72977: Add PHP 5.5 to EasyApache
  • Implemented case 73121: Update Tomcat RPMs to release 1
  • Implemented case 73517: Update PHP to version 5.5.1
  • Implemented case 73637: Update ionCube Loader for Linux to version 4.4.1.
  • Implemented case 74061: Mark PHP 5.5.1 as experimental.
  • Implemented case 74117: Update Tomcat to version 7.0.42
  • Implemented case 74305: Update Tomcat RPM build number

 

  • Fixed case 71529: Build PHP before PHP extensions
  • Fixed case 73309: Clean up working directory after Tomcat restart

3.20.6

2013-07-23  

  • Implemented case 73441: Updated Apache 2.4 to 2.4.6

 

  • Fixed case 73757: Restore Apache version 2.2 to --latest-versions

3.20.4

2013-07-22  

  • Implemented case 69173: Update ModSecurity to version 2.7.4 (and drop 2.7.3)
  • Implemented case 72817: Update XCache to version 3.0.3
  • Implemented case 72985: Add support for EasyApache git-style patches
  • Implemented case 73045: Remove EXPERIMENTAL tag from Apache 2.4
  • Implemented case 73441: Update Apache 2.2 to 2.2.25
  • Implemented case 73509: Add END OF LIFE tag to Apache 2.0

 

  • Fixed case 72721: Remove duplicate JS/CSS references from interface
  • Fixed case 73065: Fix dual Tomcat profile enable bug

3.20.2

2013-07-15  

  • Implemented case 73025: Update PHP to 5.3.27 to resolve CVE-2013-04113 (drop 5.3.25, mark 5.3.26 and 5.3.27 as End-of-Life, and set latest 5.4 to default version).

3.20.1

2013-07-11  

  • Implemented case 72221: Update PHP to 5.4.17 (and drop 5.4.16)

3.20.0

2013-07-09  

  • Implemented case 61864: Add support for Tomcat 7

3.18.18

2013-07-01  

  • Fixed case 71717: Recalculate optmod ordering after profile changes are applied

3.18.17

2013-06-10  

  • Implemented case 69857: Update PHP to 5.3.26 (and drop 5.3.24)
  • Implemented case 69865: Update PHP to 5.4.16 (and drop 5.4.15)

3.18.16

2013-06-03  

  • Implemented case 69429: Apply CVE-2013-1862 fix for Apache 2.2 and 2.4

3.18.15

2013-05-28  

  • Implemented case 64381: Disable POSIX PHP module when mod_ruid2 is installed
  • Implemented case 68637: Disable eio/dio PHP extensions in PHP.ini when mod_ruid2 is installed

3.18.14

2013-05-13  

  • Implemented case 66193: Added labels for input tags in EasyApache page
  • Implemented case 66973: Setup of EasyApache UI folder in EasyApache repository
  • Implemented case 67537: Update PHP to 5.3.25 (and drop 5.3.23)
  • Implemented case 67549: Update PHP to 5.4.15 (and drop 5.4.14)

 

  • Fixed case 65917: Hide breadcrumb when opening Configure PHP as popup
  • Fixed cases 67433, 67445: Extracted common JavaScript code and JavaScript used in list profiles step

3.18.13

2013-04-15  

  • Implemented case 65237: Update PHP to 5.4.14 (and drop 5.4.12)
  • Implemented case 65241: Update PHP to 5.3.24 (and drop 5.3.22)

 

  • Fixed case 64136: Updated link to documentation for Deflate.pm
  • Fixed case 61495: Fixed enlarge feature for build output window
  • Fixed case 64619: Updated links to documentation in interface
  • Fixed case 65009: Fixed verify popup issue with Apache 2.4 version selection
  • Fixed case 65165: Fixed styles in the verify popups of EasyApache Page

3.18.12

2013-04-02  

  • Implemented case 64472: Updated ModSecurity to version 2.7.3 (and drop 2.7.2)

 

  • Fixed case 63926: EasyApache build window now displays properly in WHM UI

3.18.11

2013-03-28  

  • Fixed case 64163: Install compat-expat1 module for Frontpage users on CentOS 6.x
  • Fixed case 64298: Correct the name of the Apache 2.4 rawopts file
  • Fixed case 64402: Update 32- and 64-bit libraries required by Frontpage

3.18.9

2013-03-19  

  • Implemented case 64150: Update PHP to 5.4.13 (and drop 5.4.11)
  • Implemented case 64148: Update PHP to 5.3.23 (and drop 5.3.21)

 

  • Fixed case 64199: Update php5-fixed-lib64.patch for older versions of the patch program (for PHP 5.4.13)
  • Fixed case 64191: Update php5-fixed-lib64.patch for older versions of the patch program (for PHP 5.3.23)

3.18.6

2013-03-06  

  • Implemented case 63866: Add mod_socache_shmcb module to Apache 2.4
  • Implemented case 63871: Update Apache from 2.2.23 to 2.2.24
  • Implemented case 63869: Update Apache from 2.4.3 to 2.4.4

 

  • Fixed case 63676: Provide optional symlink race condition protection patch
  • Fixed case 63881: Report PECL config-set errors and proceed with build
  • Fixed case 63889: Apply 64-bit pkgconfig and Apache 2.4.4 compatibility patch for CentOS 5.x devices

3.18.4

2013-02-27  

  • Fixed case 63442: Fixed subdomain proxy support in Apache 2.4
  • Fixed case 59764: Set the php_ini after building PHP

3.18.2

2013-02-25  

  • Implemented case 63720: Update PHP to 5.4.12 (and drop 5.4.10)
  • Implemented case 63721: Update PHP to 5.3.22 (and drop 5.3.20)

3.18.1

2013-02-14  

  • Implemented case 61903: Updated SourceGuardian to version 9.0.4
  • Implemented case 63198: Removed ModFastinclude
  • Implemented case 63304: Updated ModSecurity to version 2.7.2 (and drop 2.7.1)

 

  • Fixed case 63169: CloudLinux Custom rawopts repaired
  • Fixed case 63424: Set Default UID in mod_ruid2 to 99
  • Fixed case 63498: ModSecurity: Resolve auto-id generation in chain rules containing comments and blank lines

3.18.0

2013-01-31  

  • Implemented case 51105: Added support for Apache 2.4
  • Implemented case 59206: PHP: Removed Sablotron module
  • Implemented case 60181: Updated ModHostinglimits to version 1.0.8
  • Implemented case 60329: Incorporate source code for Apache 2.4.2
  • Implemented case 60403: Version-lock Apache: 2.4 for WHM 11.35 and later
  • Implemented case 60858: Compile modules in Apache 2.4 as static by default
  • Implemented case 62063: Updated ModSecurity to version 2.7.1

 

  • Fixed case 61937: PHP: MailHeader patch is enabled by default; disabled for WHM PHP
  • Fixed case 62369: ModSecurity 2.7.1: change default rule id range to avoid collisions
  • Fixed case 62466: ModSecurity needs module dependencies for 11.36 compatibility
  • Fixed case 62475: Disable SSLCompression by default (CRIME attack)
  • Fixed case 62540: PHP: LibXML: Use LibXML 2.9.0 for all supported PHP versions
  • Fixed case 62602: ModSecurity 2.7.1: Ensure rules receive an ID even if optional fields are unused
  • Fixed case 62701: Tomcat needs module dependencies for 11.36 compatibility
  • Fixed case 62914: Add 11.36-friendly Perl module dependency mechanism
  • Fixed case 62929: Handle wildcard subdomains in Apache 2.4
  • Fixed case 62973: Ensure correct Perl binary in path for module installation
  • Fixed case 62987: ZendOpt needs module dependencies for 11.36 compatibility
  • Fixed case 62994: SourceGuardian needs module dependencies for 11.36 compatibility
  • Fixed case 62996: IonCube needs module dependencies for 11.36 compatibility
  • Fixed case 63029: Xcache needs module dependencies for 11.36 compatibility
  • Fixed case 63034: Suhosin needs module dependencies for 11.36 compatibility
  • Fixed case 63037: PHP: EAccelerator needs module dependencies for 11.36 compatibility
  • Fixed case 63046: Enforce Perl module dependencies for Apache 2.4
  • Fixed case 63052: Enforce Perl module dependencies for Apache 2.2
  • Fixed case 63057: Add Perl module and RPM dependencies for Tomcat
  • Fixed case 63060: ModPerl needs module dependencies for 11.36 compatibility
  • Fixed case 63064: Enforce Perl module dependencies for Apache 2.0
  • Fixed case 63082: Apache Perl module dependencies for ModBandwidth's setweblimit script
  • Fixed case 63085: cURL-NoSSL needs module dependencies for 11.36 compatibility
  • Fixed case 63091: ModHostinglimits updated to use a single configuration file
  • Fixed case 63103: Apache should use system Perl for 11.36 compatibility
  • Fixed case 63105: Enforce Perl module dependencies for PHP-ming
  • Fixed case 63109: ModSecurity needs module dependencies for 11.36 compatibility
  • Fixed case 63110: Enforce Perl module dependencies for ModMono

3.16.7

2013-01-22  

  • Implemented case 63098: Update PHP to 5.3.21 (and drop 5.3.19).
  • Implemented case 63099: Update PHP to 5.4.11 (and drop 5.4.10).

3.16.6

2012-12-26  

  • Implemented case 62529: Update PHP to 5.3.20 (and drop 5.3.18).
  • Implemented case 62530: Update PHP to 5.4.10 (and drop 5.4.9).
  • Fixed case 62398: Php 5.3.19 Cleanup
  • Fixed case 60931 First of two commits to upgrade mod_hostinglimits to 1.0.8 This commit contains the third-party source code and configuration files.
  • Implemented case 62416: Updated ModSec.pm to use 1.2 billion range starting from 1,234,123,380. Also updated modsec2.user.conf.default.

3.16.5

2012-11-29  

  • Fixed case 62379: Changed code in ModSec.pm so that modsec2.user.conf.default should be overwritten in order to handle upgrade case (3.16.3 to 3.16.4).

3.16.3

2012-11-27  

  • Fixed case 3681: handle missing krb5.h
  • Fixed case 35648: Resellers can see WHM mod_sec plugin
  • Fixed case 62073: libxml2-2.9.0 won't build on FreeBSD [PATCH]
  • Fixed case 62202: eAccelerator fails to build
  • Fixed case 62269: OptionalHookExport.pm does not follow naming standards
  • Fixed case 61528: Bad PHP versions cause easyapache to upgrade to latest PHP
  • Implemented case 35316: ea3 URL updates
  • Implemented case 59390: Ming needs to be updated to 0.4.4
  • Implemented case 60604: Update ModSecurity to 2.7.0
  • Implemented case 60678: Update mod_qos to 10.10 in EasyApache
  • Implemented case 60721: cpanel-install script incorrectly parses PHP version
  • Implemented case 61035: makecpphp.profile.yaml: PHP versions need to be updated
  • Implemented case 61522: Easyapache fails to build Eaccelerator when it was selected in profile
  • Implemented case 61730: Update EasyApache to Tomcat 5.5.36
  • Implemented case 61873: ModSecurity 2.7.0 requires new MULTIPART_INVALID_PART to resolve CVE
  • Implemented case 62217: Backport: mod_security 2.7.1 fix to 2.7.0: DROP disabled w/Apache2
  • Implemented case 62247: EasyApache update PHP to 5.3.19
  • Implemented case 62248: Update PHP to 5.4.9
  • Implemented case 62040: EasyApache - Remove 'Experimental' tag from PHP 5.4

3.14.14

2012-10-23  

  • Fixed case 61238: Restore the lib64 patch to PHP 5.4.7.
  • Implemented case 61500: Update EasyApache to libxml2 2.9.0
  • Implemented case 61501: Update EasyApache to libxslt 1.1.27
  • Implemented case 61733: Update EasyApache to support PHP 5.3.18.
  • Implemented case 61734: Update EasyApache to support PHP 5.4.8.
  • Implemented case 61817: Update EasyApache to support JDK 6u37.

3.14.13

2012-09-26  

  • Implemented case 61382: Update EasyApache to mod_security 2.6.8

3.14.12

2012-09-21  

  • Fixed case 60966: Correct the formatting of PHP version numbers
  • Fixed case 61283: Remove erroneous 'End of Life' decoration from PHP 5.3.17
  • Implemented case 61200: Update EasyApache to provide Apache 2.2.23
  • Implemented case 61298: Add MailHeaders patch to PHP 5.3 and 5.4

3.14.11

2012-09-17  

  • Fixed case 59962: Improved reliability of glibc testing when building PHP
  • Implemented case 60800: Provide silence-deprecated option in PHP 5.4
  • Implemented case 60936: Update PHP to 5.4.7
  • Implemented case 61190: Update PHP to 5.3.17

3.14.9

2012-08-29  

  • Implemented case 60891: Update mod_fastinclude to 1.1

3.14.8

2012-08-20  

  • Implemented case 60673: Update PHP to 5.4.6
  • Implemented case 60710: Update PHP to 5.3.16

3.14.7

2012-08-10  

  • Implemented case 60603: update mod security to 2.6.7

3.14.6

2012-08-03  

  • Fixed case 60346: Update PHP to 5.4.5
  • Fixed case 60535: libxslt CVE-2012-2825
  • Fixed case 60550: libxml2 CVE-2012-2807

3.14.5

2012-07-28  

  • Fixed case 60279: Fix build of PHP CGI binary with PHP 5.4.
  • Fixed case 60278: Disable PHP Magic Quotes with PHP 5.4.
  • Implemented case 60345: Add PHP version 5.3.15 and remove PHP version 5.3.13.
  • Implemented case 58963: Update XCache PHP extension to version 2.0.1.
  • Implemented case 60072: Update mod_security to version 2.6.6.
  • Implemented case 59379: Update IonCube loader to version 4.2.2.
  • Fixed case 60257: EasyApache disables Xcache and Eaccelerator for all PHP versions

3.14.3

2012-07-11  

  • Fixed case 60131: Fresh installs encounter configuration problem stemming from removal of PHP 4
  • Fixed case 60257: EasyApache disables Xcache and Eaccelerator for all PHP versions

3.14.1

2012-07-11  

  • Fixed case 59437: MPM Event and mod_perl are incompatible with non-threaded perl
  • Fixed case 59540: mod_qos requires non-default MaxClients in httpd.conf
  • Fixed case 59731: Correct ZendOpt/ZendLoader version in EasyApache UI
  • Fixed case 59784: Exhaustive Options page is blank when no PHP version selected (HTML interface only)
  • Fixed case 59952: PHP 5.3.14 released to resolve CVE-2012-2386 and CVE-2012-2143
  • Fixed case 59971: Patch Apache 2.x for CVE-2012-0883
  • Fixed case 59995: Include experimental support for PHP 5.4.4
  • Implemented case 57536: EasyApache: Remove PHP4 (all versions)
  • Implemented case 59127: Update EasyApache to mod_perl 2.0.6
  • Implemented case 59635: Block EA when PHP4 is configured with mod_php

3.13.5

2012-06-28  

  • Implemented case 60072: Update mod_security to 2.6.6

3.13.4

2012-06-18  

  • Implemented case 59892: Add 'experimental' decoration to mod_ruid2

3.13.3

2012-05-30  

  • Fixed case 59679: Update system timezone patch to work with PHP 5.3+ functions

3.13.2

2012-05-29  

  • Fixed case 59524: PHP 4 is built when it should be disabled

3.13.1

2012-05-21  

  • Fixed case 59444: jsvc looks in the wrong library paths on 64-bit systems (upstream bug: https://issues.apache.org/jira/browse/DAEMON-246)
  • Implemented case 57535: Merge the PHP version selection interfaces into a single interface
  • Implemented case 58115: Updated Tomcat Connectors to 1.2.35
  • Implemented case 59125: Update PHP 5 to 5.3.13

3.12.3

2012-05-01  

  • Fixed case 57881: Resolve compatibility with building mod_mono on CentOS 4 due to the glib2 update
  • Fixed case 57958: switching mod_ruid2+DSO to suPHP results in PHP sites no longer functioning
  • Fixed case 58861: Removed mod_mono test that is returning a false negative
  • Implemented case 57765: Update CloudLinux mod_hostinglimits to 0.9-5
  • Implemented case 58016: Make PHP use the system timezone database rather than the one built into PHP

3.11.2

2012-03-22  

  • Fixed case 57749: Align support level decoration in EasyApache HMTL interface
  • Fixed case 57750: Make link names in EasyApache HTML interface consistent
  • Fixed case 57752: Mark Frontpage as deprecated in EasyApache
  • Fixed case 57759: The user needs notified when easyapache disables mysqli due to incompatibility with MySQL 5.5 and PHP 5.2.9
  • Fixed case 57957: Frontpage needs disabled when electing to build mod_ruid2
  • Fixed case 57975: EOL label is missing from PHP 4 in Step 3 of EasyApache (both CLI and WHM)
  • Fixed case 58255: FcgidMaxRequestLen is defined before mod_fcgid is loaded
  • Fixed case 58263: EasyApache: Remove FastCGI patch for process reaping
  • Implemented case 56043: Provide documentation page link when enabling mod_ruid2 in EasyApache

3.10.2

2012-03-07  

Backend

  • Fixed case 52958: FastCGI FcgidMaxProcessesPerClass only counts inside virtualhost
  • Fixed case 55221: Apply fix for CVE-2011-4317 to Apache 2.0
  • Fixed case 56942: EasyApache: Disable mysqli if MySQL 5.5 is installed and the user has selected PHP 5.2.9
  • Fixed case 57238: FastCGI: do not reap processes from the free process list
  • Fixed case 57343: Use of uninitialized value in Cpanel::Easy::Utils
  • Fixed case 57579: EasyApache gives 404 when used via proxy subdomain
  • Fixed case 57621: php.ini contains incorrect entry for timezonedb location
  • Fixed case 57687: suhosin 0.9.33 doesn't support PHP 5.2
  • Implemented case 55987: Show full Apache version in EA
  • Implemented case 57533: EasyApache: Indicate support status for select components
  • Implemented case 57403: Improve wording of the mod_ruid2 popup text message
  • Implemented case 57381: Patch PHP 5.2.17 for CVE-2011-4885, CVE-2012-0830
  • Implemented case 57382: Upgrade the makecpphp profile to use PHP 5.2.17

3.9.2

2012-02-13  

3.9.1

2012-02-10  

  • Fixed case 53660: easyapache does not provide a proper exit code when it fails
  • Fixed case 54595: Patch Apache 2.0 for CVE-2011-3607
  • Fixed case 55361: The user is not informed in the WHM UI when mod_security fails to connect to the database
  • Fixed case 55808: Disable cURL if cURLSSL is enabled and viceversa
  • Fixed case 55823: EA build stops if Fastcgi is selected asking the user to enable 'Mod FCGID', although Fastcgi enables it
  • Fixed case 55828: EA3 Mod_ruid2 should note more incompatibilities
  • Fixed case 55855: Improper mod_jk configuration prevents proper application serving by Tomcat
  • Fixed case 55941: addservlets script with incorrect arguments should display only help
  • Fixed case 55980: mod Unique ID fails if you change hostname via command line
  • Fixed case 56010: Relative /usr/bin/perl symlinks causes build failures
  • Fixed case 56150: EasyApache ncurses UI degrades with xterm-256color
  • Fixed case 56303: EasyApache - Misspelled 'Output' in message visible to users
  • Fixed case 56436: Re-install PECL modules after PHP is installed
  • Fixed case 56449: Improve input validation and reporting in mod security UI script
  • Fixed case 56522: /usr/sbin/httpd is no longer symlinked to apachectl
  • Fixed case 56565: garbage added to php 5.3.9 patch tarball
  • Fixed case 56568: Cpanel/Easy/Utils/PHP.pm step 3 does not verify patches applied correctly
  • Fixed case 56570: php5-freebsd-ldflags patch was not updated for 5.3.9
  • Fixed case 56650: Upgrade PHP SuHosin to 0.9.33 - potential remote code execution exploit
  • Fixed case 56652: Upgrade Tomcat to 5.5.35 - Fixes CVE-2012-0022 hash collision DOS
  • Fixed case 56758: CLI EasyApache is not re-saving profiles on Save Only
  • Fixed case 56803: EasyApache writes php directives for xcache with incorrect syntax
  • Fixed case 56968: Curl 7.24.0 released: CVE-2012-0036
  • Fixed case 56985: Update Apache to 2.2.22
  • Fixed case 57077: EasyApache: PHP 5.3.10 update
  • Fixed case 57078: EasyApache: Apply fix for CVE-2012-0830 to PHP 5.2.9
  • Implemented case 53609: EA will incorrectly detect an update available if blocked.
  • Implemented case 55314: Update PCRE to 8.21
  • Implemented case 55971: Update modsec to 2.6.3
  • Implemented case 56287: Patch PHP 5.2.9 for CVE-2011-4885
  • Implemented case 56549: Upgrade IonCube Loaders in Easyapache to 4.0.12

3.8.6

2012-02-06  

  • Implemented case 57160: Add PHP 5.3.10; Remove PHP 5.3.9

3.8.5

2012-01-16  

  • Implemented case 56414: Add PHP 5.3.9
  • Implemented case 56538: Make PHP 5.3.9 the default in cPanel profiles

3.8.3

2011-12-28  

  • Fixed case 55928: Display of mod_ruid2 version was incorrect in the interface
  • Fixed case 55977: Configuration of mod_fcigd failing on new installs
  • Fixed case 55521: Installation of PHP4 occasionally failing due to race conditions

 

  • Implemented case 55982: PCRE reverted to version 8.12 due to compatibility problems with some mod_security configurations
  • Implemented case 55990: Restore PHP 5.2.9 as the default for makecpphp

3.8.2

2011-12-28  

  • Fixed case 51627: FcgidMaxRequestLen not being added to httpd.conf
  • Fixed case 53907: Patch Apache 1.3 and 2.0 for CVE-2011-3368
  • Fixed case 54891: Fix link to PHP mime-magic documentation
  • Fixed case 55187: New apr patches and mod_hostinglimits for CloudLinux systems
  • Fixed case 53894: Patch mod_suphp for mod_ruid2 compatibility
  • Fixed case 55075: Disable incompatible items when mod_ruid2 is selected
  • Fixed case 55424: Remove supplemental groups setting from default mod_ruid2 configuration file

 

  • Implemented case 54307: Add a more granular toggle in cpsources.conf for EasyApache
  • Implemented case 54905: Update curl to 7.23.1
  • Implemented case 54347: Update lua to 5.1.4
  • Implemented case 54348: Update pcre to 8.13
  • Implemented case 54349: Update glib2 to 2.28
  • Implemented case 54384: Update tidy to 25 March 2009.
  • Implemented case 54509: Update sqlite to 3.7.9
  • Implemented case 54545: Update mod_qos to 9.74
  • Implemented case 52294: Add mod_ruid2 support for cPanel & WHM 11.31+
  • Implemented case 52896: Remove references to the easy_test branch from EasyApache codebase
  • Implemented case 55141: Update all profiles to use PHP 5.3.8 by default
  • Implemented case 55866: Improve warnings when mod_ruid2 is enabled
  • Implemented case 55903: Disable PHP FastCGI when mod_ruid2 is enabled

3.7.2

2011-12-01  

  • Implemented case 55021: Update xsltsablot to 1.0.3
  • Implemented case 55082: Apache mod_proxy reverse proxy exposure vuln in Apache 2.0
  • Implemented case 55083: modsec table creation is incompatible with MySQL 5.5
  • Implemented case 55084: Update JDK to 1.6.0_29
  • Implemented case 55085: Update mod_jk to 1.2.32

3.7.1

2011-10-28  

  • Fixed case 54418: Remove erroneous check for virtuozzo memory failcounts

3.7.0

2011-10-28

  • Fixed case 52720: CVE-2011-3190 Tomcat Authentication Bypass (connector vuln)
  • Fixed case 52764: FreeBSD: /opt/curl/bin/curl binary lacks --with-ca-bundle option when built with SSL
  • Fixed case 52788: Xcache extension is missing the cpanel-status script.
  • Fixed case 52789: Xcache extensions cpanel-install script does not prevent installation to PHP4
  • Fixed case 52791: mod_perl 1.31 does not build against Apache 1.3 with perl5.14
  • Fixed case 52913: Tomcat fails to install on CentHat 4.x systems due to old "find" version
  • Fixed case 53375: Erroneous EasyApache memory warning
  • Fixed case 53448: Setup pear's download directory properly on fresh install
  • Fixed case 53637: EasyApache update window should match mysql update window
  • Fixed case 53801: Apache mod_proxy reverse proxy exposure vuln in Apache 2.2
  • Implemented case 52050: EasyApache: Upgrade ModSecurity to 2.6.2
  • Implemented case 53666: Cpanel::Easy needs updated to handle undefined maxmem

3.6.1

2011-09-02

  • Fixed case 38632: SourceGuardian links to non existent shared object in FreeBSD
  • Fixed case 51020: Fix "Finishing install" step of Tomcat build to not silently ignore system() and symlink() errors
  • Fixed case 51640: Modify easyapache testing to work with freebsd
  • Fixed case 51920: update jdk to latest version
  • Fixed case 51923: lsattr /usr/bin/perl' failed with exit code '256'
  • Fixed case 51945: sqlite installed by 'ensurepkg' conflicts with our custom compile of sqlite
  • Fixed case 52070: EasyApache: Correct JDK cleanup step in Tomcat installation
  • Fixed case 52074: In EA output, '--Begin {foo}' sometimes has no matching '--End {foo}'
  • Fixed case 52129: IonCube update did not change the version number in module
  • Fixed case 52311: EasyApache Upgrade popup links to old upcp page
  • Fixed case 52456: Warning about use of qw() as parentheses in Easy/Utils/PHP.pm
  • Implemented case 32980: Add mod_qos for Apache 2
  • Implemented case 52340: CloudLinux Update: new APR patches and fixes mod_hostinglimits for new patches
  • Implemented case 4795: Add support for Xcache to Easyapache
  • Implemented case 51912: Update Sqlite to version 3.7.7.1
  • Implemented case 52785: Update Apache 2.2 to 2.2.20

3.5.5

2011-08-23

  • Fixed case 52155: CVE-2011-2729: Commons Daemon fails to drop capabilities
  • Implemented case 52368: Add PHP 5.3.8, remove

3.5.2

2011-08-10

  • Fixed case 48696: Add CGI on and DiscardPath off as required PHP dependencies of FastCGI
  • Fixed case 51349: tomcat installation creates nested Catalina directories to insane depth
  • Fixed case 51475: Export MALLOC_ARENA_MAX=1 globally for Centos/RHEL 6
  • Implemented case 48659: Add .do extension in JkMount include
  • Implemented case 4880: Pass '-j2' to make when more than a single CPU/core is detected
  • Implemented case 44492: PHP Ioncube Loader Linux x86 has been updated to v4.0.9
  • Implemented case 46284: Update PCRE to 8.12
  • Implemented case 48432: FreeBSD: Apache fails to start if EAccelerator is enabled
  • Implemented case 51345: Update easyapache for 'Use of qw(...) as parentheses is deprecated ...'
  • Implemented case 51619: commons-daemon needs updated to 1.0.6
  • Implemented case 51741: imap c-client library needs updated to 2007f

3.4.2

2011-07-15

  • Fixed case 23370: Update scripts/setbwlimit to include "ForceBandWidthModule" for Apache 2
  • Fixed case 48768: The link to the 'Hardening PHP' document is out of date
  • Fixed case 48883: Patch libxslt to fix CVE-2011-0195
  • Fixed case 49818: EasyApache does not observe the WHM maxmem tweak setting
  • Fixed case 50237: Remove the inaccurate byte measurement from the sending report message
  • Fixed case 51012: File glob is not expanded when performing a SafeCopy operation
  • Fixed case 51268: Arguments passed to the system find utility were not compatible with older versions of find
  • Fixed case 51370: Increase memory limits for RHEL/CentOS 6+
  • Fixed case 51375: Fix issue with installing Frontpage on RHEL/CentOS 6
  • Fixed case 51431: Remove distcache from the build if the package is not installed
  • Implemented case 44491: Update Apache 2.0 to 2.0.64
  • Implemented case 44496: Update SQLite to 3.7.6.3
  • Implemented case 47407: Update mod_perl2 to 2.0.5
  • Implemented case 50027: Update JDK to 1.6.0_25
  • Implemented case 50028: Update curl and curlSSL to 7.21.6

3.3.6

2011-06-06

  • Fixed 50378: Make sure liblve-devel is installed on CloudLinux systems
  • Implemented case 50380: Switch from Apache mod_cgid patches for Apache 2.0 and 2.2 to APR patches. This also removed the usage of the sumodcgid.conf file
  • Implemented case 50382: Remove legacy CloudLinux conf files under the conf.d directory while performing an update

Version 3.3.5

2011-05-25  

  • Implemented case 50053: Update Apache 2.2 to 2.2.19

Version 3.3.4

2011-05-20

  • Implemented case 49860: Update Apache 2.2 to 2.2.18
  • Implemented case 49912: Update mod_hostinglimits to 0.7-9

Version 3.3.3

2011-05-12

  • Fixed case 49449: Undefined subroutine File::Path::make_path
  • Fixed case 49668: Switch makecpphp profile back to 5.2.9 for compatability with 11.28

Version 3.3.1

2011-05-05

  • Fixed case 48787: make sure ea3 pid file is only removed by the current main process
  • Fixed case 48805: Silence Use of uninitialized value in substitution iterator warning
  • Fixed case 48820: Fix md5sum for 64bit Zendopt optlib
  • Implemented case 42048: Log info about the tarball when it fails to untar
  • Implemented case 48690: Add patch to mod_fcgid to limit process signalling to active processes.
  • Implemented case 48691: Add cloudlinux modules and patches to EasyApache
  • Implemented case 48868: Add text indicating cloudlinux support to Apache version

Version 3.2.6

2011-04-20

  • Fixed case 49029: backport mod_fcgid fix to protect against improper process killing during restarts

Version 3.2.5

2011-04-13

  • Fixed case 44492: Revert IonCube loader to version 3. Ioncube 4.0.7 core dumps on some 32bit linux systems when loaded by cPanel's internal PHP 5.2.6.

Version 3.2.4

2011-04-13

  • Implemented case 48822: backport md5sum ZendOptimizer fix to 3.2.

Version 3.2.3

2011-04-11

  • Fixed case 48804: libxml2 not compiling on fresh installs

Version 3.2.2

2011-04-11

  • Fixed case 9134: Make PDO Conflict with Dual PHP DSO option
  • Fixed case 48281: Optlib installation does not return to correct starting directory when it has to retry itself after a tarball update
  • Implemented case 44492: Updated IonCube Loader to 4.0.1
  • Implemented case 44497: Updated FastCGI to 2.3.6
  • Implemented case 44885: Updated Tomcat to 5.5.33
  • Implemented case 46640: Added support for Zend Guard Loader 5 when using PHP 5.3
  • Implemented case 48451: Switch EasyApache substitution parameter from revision to version
  • Switched to version number based tracking

5316

2011-03-30

  • Implemented case 48001: Compatibility with cPanel & WHM version 11.30

5315

2011-03-22

  • Implemented case: add PHP 5.3.6, remove PHP 5.3.3

5308

2011-03-07

  • Fixed case 45131: Address a few "Use of uninitialized value" warnings
  • Implemented case 42578: Update EasyApache to utilize LibXML2 v2.7.8
  • Implemented case 44494: Update libcurl (no SSL) to 7.12.4
  • Implemented case 44494: Update libcurl (with SSL) to 7.12.4
  • Implemented case 45931: Update to PHP 5.3 to 5.3.5, remove 5.3.4
  • Implemented case 45932: Update PHP 5.2 to 5.2.17, remove 5.2.16
  • Implemented case 46569: All cPanel provided EasyApache profiles updated to install Apache 2.2 instead of 2.0 and PHP 5.2.17 instead of 5.2.9.

5291

  • Implemented case 43831: Remove all references to gettree and getrevision
  • Implemented case 43888: Update /scripts/checkallowoverride to isolate or eliminate code that updates httpd.conf
  • Implemented case 45468: Add PHP 5.2.16 and remove 5.2.15
  • Implemented case 45843: Fix CVE-2010-4645 (http://bugs.php.net/bug.php?id=53632)
  • Fixed case 43872: /scripts/remservlets and /scripts/killacct do not remove Tomcat work files

5279

  • Case 45466: Force a one time reinstall of OpenSSL package on CentOS 5 systems to fix problems caused by CentOS bug #4680. A faulty update of the OpenSSL packages on some systems resulted in a downgrade from openssl.i686 to openssl.i386

5277

  • Case 45315: Update PHP 5.3 to 5.3.4; Removed PHP 5.3.2
  • Case 45322:
    • Update PHP 5.2 to 5.2.15
    • Removed 5.2.14
    • Add patch for PHP Bug 53516 which addresses a regression with open_basedir support in PHP's fopen_wrappers.

5270

  • Case 44809: set php4 and php5 params on the "always do latest/oldest PHP?" preference FYI screen
  • Case 45289: Update mod security 2 to 2.5.13

5256

  • Case 44994: Use correct module namespace for RcsRecord::rcsrecord

5254

  • Case 43888: Merged /scripts/checkallowoverrid functionality into EA.
  • Case 38573: Compile EAccelerator 0.9.6.1 using --without-eaccelerator-use-inode flag to fix incompatability with open_basedir.

5248

  • Case 44866: EasyApache fails to complete unless the directory /tmp/cptomcat exist

5247

  • Case 44515: simplify and de-race the pre-create-cleanup logic
  • Case 44515: use 'opt_mod_src_dir' so we don't have to worry about cleanup

5240

  • Case 44052: Merge the functionality of /scripts/strip_apache_directive into EA as a function, so that the script can be removed from the main cPanel & WHM codebase
  • Case 44431: Update Apache to 2.2.17

5210

  • Case 42302: Add php5-pdo_sqlite.patch for PHP 5.3.3 to fix pdo_sqlite linking problems
  • Case 43912: Update JDK to 1.6.0_22

5206

  • Case 43890: Add missing php5-lvds LD script to 5.3.3 concurrent patch

5204

  • Case 43758: /scripts/[no]modgzipconfmods functionality incorporated into EasyApache proper, so that scripts can be deleted.

5193

  • Case 42947: Update glib2 to 2.24.2
  • Case 43538: Update JDK to 6u21

5186 

  • Case 38227: Update tomcat to 5.5.30
    • Update jsvc to 1.0.2
    • Update mod_jk to 1.2.30
    • Update mysql java connector to 5.1.13
  • Case 42916: Fix md5sum for PHPSuHosin.pm.tar.gz

5179

  • Case 40584: Update mono to 2.6.7
    • Update mod_mono to 2.6.3
    • Update xsp to 2.6.5
    • Update mono basic to 2.6.2
    • Add patch for .net 2.1 TimeZoneInfo.cs bootstrap failure
    • Add patch for FreeBSD AMD64 bootstrap failure
    • Fix mono build on Red Hat 7.3 by forcing LANG=C during bootstrapping

5177

  • Case 40058: turn on SSL support by default in cPanel provided profiles

5170

  • Case 42580: Update PHPSuHosin to 0.9.32.1
  • Case 42419: Improve security of mailman-suexec patch

5168

  • Case 42335: update mod_bw to 0.92

5166 

  • Case 42181: fix typo
  • Case 42334: Update sqlite to 3.7.0.1

5158 

  • Case 42393: Update to Apache 2.2.16

5156 

  • Case 42337: Add PHP 5.2.14, remove PHP 5.2.13
  • Case 42338: Add PHP 5.3.3, remove PHP 5.3.1

5152

  • When displaying preferences in HTML will no longer sort the list given as it is already in display order
  • Ensure addservelets2 --domain is owned by a user
  • Patched all versions of Apache to make apxs compatible with Perl 5.12
  • Upgraded PHP Suhosin to 0.9.31
  • Continue to ship SuHosin 0.9.29 for PHP 4 (0.9.31 is incompatible)
  • Updated EAccelerator to 0.9.6.1
  • Made PHP4 Java optmod conflict with PHP4 GD optmod
  • Updated all IonCube loaders to latest versions
  • Restored SourceGuardian tarballs to original naming system for compatability with phpextensionmgr

5116 

  • Will re-load preferences after save and at beginning of build
  • Will detect kernel.pid_max > 32768 and issue Big Scary Message® then continue